Subject: Re: bug#11807: M-x display-time-world & EDT/DST

From: Jambunathan K <[email-masked]>
Date: Thu, 28 Jun 2012 05:00:14 -0500

Andreas Schwab <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>> This is what I see *now.
>>
>> Seattle   Thursday 28 June 00:56 PDT
>> New York  Thursday 28 June 03:56 EDT <=== This is off by 1-hr.
>> London    Thursday 28 June 08:56 BST
>> Paris     Thursday 28 June 09:56 CDT
>> Bangalore Thursday 28 June 14:26 IST <=== Local time.  This is correct
>> Tokyo     Thursday 28 June 17:56 JST
>
> You are using the wrong timezone (GMT+6:30 instead of GMT+5:30).

Let me see:

M-: (getenv "TZ")            
  => nil

M-: (current-time-zone)      
  => (19800 "India Standard Time")

M-: (format-time-string display-time-world-time-format nil)
  => "Thursday 28 June 15:23 India Standard Time"

Here is the math for this time of the year.

IST = GMT + 5:30
NYT = GMT - 4:00

NYT = IST - 5:30 - 4:00 = IST - 9:30

and I expect to see 6:07EDT instead I am seeing 04:55 instead (adjust
for typing minutes)

M-: (setenv "TZ" "EST5EDT")
M-: (format-time-string display-time-world-time-format nil)
 => "Thursday 28 June 04:55 EDT"